Name:           plowshare
Version:        2.1.6
Release:        2%{?dist}
Summary:        Download and upload files from file-sharing websites

License:        GPLv3+
URL:            https://github.com/mcrapet/plowshare
Source0:        https://github.com/mcrapet/plowshare/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  git

Requires:       curl
Requires:       caca-utils
Requires:       recode
Requires:       js


%description
Plowshare is a set of command-line tools (written entirely in Bash shell script)
designed for managing file-sharing websites (aka Hosters). Plowshare itself 
doesn't support any websites (named module). It's just the core engine. 
Concerning modules, few are available separately and must be installed in user 
directory (See %{_docdir}/%{name}/INSTALL).


%prep
%setup -q -n %{name}-%{version}


%build
# Nothing to build.


%install
rm -rf $RPM_BUILD_ROOT
export PLOWSHARE_FORCE_VERSION=%{version}
make PREFIX=%{_prefix} DESTDIR=%{buildroot} install

# We remove at destination, so we still have install
# for the doc section
rm -rf %{buildroot}%{_docdir}/%{name}4
rm -rf %{buildroot}%{_docdir}/%{name}/%{name}.conf.sample


%files
%defattr(-,root,root,-)
%doc AUTHORS README.md COPYING INSTALL
%{_bindir}/plowdel
%{_bindir}/plowdown
%{_bindir}/plowlist
%{_bindir}/plowmod
%{_bindir}/plowprobe
%{_bindir}/plowup
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/core.sh
%{_datadir}/%{name}/delete.sh
%{_datadir}/%{name}/download.sh
%{_datadir}/%{name}/list.sh
%{_datadir}/%{name}/mod.sh
%{_datadir}/%{name}/probe.sh
%{_datadir}/%{name}/upload.sh
%{_datadir}/%{name}/modules/config
%{_datadir}/bash-completion/completions/plowdel
%{_datadir}/bash-completion/completions/plowdown
%{_datadir}/bash-completion/completions/plowlist
%{_datadir}/bash-completion/completions/plowprobe
%{_datadir}/bash-completion/completions/plowup
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/%{name}.conf.5.gz


%changelog
* Wed Nov 30 2016 Dylan Smith <dyskette@gmail.com> - 2.1.6-2
- Update to new version

* Thu Aug 04 2016 Dylan Smith <dyskette@gmail.com> - 2.1.5-1
- Update to new version

* Tue May 03 2016 Dylan Smith <dyskette@gmail.com> - 2.1.4-1
- Update to new version

* Sat Mar 26 2016 Dylan Smith <dyskette@gmail.com> - 2.1.3-1
- Update to new version

* Mon Aug 31 2015 Dylan Smith <dyskette@gmail.com> - 2.1.2-1
- Update to new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar 08 2015 Elder Marco <eldermarco@fedoraproject.org> - 2.0.1-1
- Update to new version
- Modules are not available in this package anymore. This package deal
- with plowshare "core" only, as suggested by upstream.

* Sat Nov 08 2014 Elder Marco <eldermarco@fedoraproject.org> - 1.0.6-1
- Update to new upstream version, 1.0.6
- Force version with environment variable PLOWSHARE_FORCE_VERSION

* Sun Jul 27 2014 Elder Marco <eldermarco@fedoraproject.org> - 1.0.4-1
- Update to new upstream version

* Thu Apr 10 2014 Elder Marco <eldermarco@fedoraproject.org> - 1.0.1-1
- New upstream version
- Fix changelog in spec file
- New way to install the package

* Sun Jan 19 2014 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.46.20140112git
- New upstream snapshot

* Fri Nov 08 2013 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.45.20131102git
- New upstream snapshot

* Wed Sep 04 2013 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.44.20130901git
- New upstream snapshot

* Sat Aug 10 2013 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.43.20130727git
- New upstream snapshot

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-0.42.20130520git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 22 2013 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.41.20130520git
- New upstream snapshot

* Sun Jan 27 2013 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.40.20130126git
- New upstream snapshot

* Thu Jan 03 2013 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.39.20121230git
- New upstream snapshot

* Tue Nov 27 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.38.20121126git
- New upstream snapshot

* Sun Nov 04 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.37.20121104git
- New upstream snapshot

* Tue Sep 18 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.36.20120916git
- New upstream snapshot

* Sun Sep 02 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.35.20120901git
- New upstream snapshot

* Tue Aug 07 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.34.20120807git
- New upstream snapshot

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-0.33.20120707git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jul 07 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.32.20120707git
- New upstream snapshot
- Dropped dependencies ImageMagick and tesseract:
    http://code.google.com/p/plowshare/issues/detail?id=638

* Sat Jun 09 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.31.20120609git
- New upstream snapshot

* Sat May 12 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.30.20120511git
- New upstream snapshot

* Mon Apr 09 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.29.20120409git
- New upstream snapshot

* Sun Mar 11 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.28.20120311git
- New upstream snapshot

* Sat Feb 25 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.27.20120225git
- New upstream snapshot

* Wed Feb 01 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.26.20120130git
- New upstream snapshot

* Sun Jan 15 2012 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.25.20120115git
- New upstream snapshot

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-0.24.20111230git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 30 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.23.20111230git
- New upstream snapshot

* Tue Dec 06 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.22.20111206git
- New upstream snapshot

* Wed Nov 23 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.21.20111117git
- New upstream snapshot

* Tue Nov 15 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.20.20111114git
- New upstream snapshot

* Thu Nov 10 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.19.20111030git
- Update to new upstream snapshot

* Thu Oct 27 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.18.20111023git
- Update to new upstream snapshot

* Fri Oct 07 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.17.20110926git
- Update to new upstream snapshot
- Fixed CDIR path in programmable completion file

* Sun Sep 25 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.16.20110918git
- Update to new upstream snapshot
- File plowshare.completion renamed to plowshare

* Thu Sep 15 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.15.20110914git
- New upstream snapshot

* Tue Sep 06 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.14.20110904git
- New upstream snapshot

* Mon Aug 29 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.13.20110828git
- New upstream snapshot

* Wed Aug 17 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.12.20110816git
- Update to new upstream snapshot
- Add Brazilian Portuguese Translation (summary and description)
- New file from upstream: plowshare.completion
- Upstream is now using git instead of svn

* Tue Aug  9 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.11.svn1657
- Update to new upstream snapshot
- New manpage from upstream: plowshare.conf.5
- Another cosmetic change in spec file

* Sun Jul 31 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.10.svn1645
- New upstream snapshot
- File AUTHORS is now UTF-8

* Mon Jul 25 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.9.svn1630
- Update to new upstream snapshot
- New documentation file from upstream: AUTHORS
- Using iconv to convert character encoding for file AUTHORS from iso8859-1
  to utf-8.

* Sun Jul 17 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.8.svn1591
- Update to new upstream revision
- Removed dependency perl(Image::Magick). It's not necessary.

* Tue Jul 12 2011 Elder Marco <eldermarco@fedoraproject.org> - 0.9.4-0.7.svn1575
- Update to new upstream revision
- Cosmetics changes in spec file

* Sun Apr 24 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.4-0.6.svn1414
- Update to svn revision 1414 by request of Elder Marco by mail.

* Wed Mar 23 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.4-0.5.svn1394
- Update to new upstream revision (last befor import into Fedora).

* Mon Feb 28 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.4-0.4.svn1358
- Remove R gocr.

* Sun Feb 27 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.4-0.3.svn1358
- Delete bash from dependencies as it is common (thanks to Elder Marco).
- Fix summary.

* Sat Feb 26 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.4-0.2.svn1358
- Add BR perl(Image::Magick) and caca-utils (thanks to Elder Marco).

* Wed Feb 23 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.4-0.1.svn1358
- Update to last version.
- Adopt to upstream svn snapshots.
- Delete examples.
- lib.sh renamed to core.sh

* Tue Oct 5 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.3-2
- New version 0.9.3.
- Remove part %%{_prefix} from DESTDIR var and move it in new PREFIX one for
  script setup.sh
- Add files:
    o %%{_bindir}/plowlist and %%{_datadir}/%%{name}/list.sh
    o %%{_datadir}/%%{name}/tesseract
    o %%{_datadir}/%%{name}/strip_single_color.pl
    o %%{_datadir}/%%{name}/strip_threshold.pl
- Do not list all modules separately instead own full directory
  %%{_datadir}/%%{name}/modules/
- Add require gocr.
- Include mans: %%{_mandir}/man1/plow*.1*
- Include examples dir into %%doc and delete it from path where it installed
  automatically.

* Fri Nov 20 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 0.8.1-1
- Initial packaging.
- Optional requires aaview is not in Fedora repos. FR to support cacview
  filled:
  http://code.google.com/p/plowshare/issues/list?thanks=58&ts=1258746820
